*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    font-family: 'Montserrat', sans-serif;
    background-color: hsl(30, 38%, 92%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    min-height: 100vh;
    padding: 20px;
}

.container{
    display: flex;
    background-color: white;
    border-radius: 10px;
    box-shadow: 0 5px 15px rgba(0,0,0,0.1);
    max-width: 500px;
    width: 100%;
    overflow: hidden;
}


.container img{
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.content{
    padding: 26px;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

.product-details h1{
    text-transform: uppercase;
    color: hsl(228, 12%, 48%);
    font-size: 12px;
    margin-bottom: 15px;
    margin-top: 10px;
    letter-spacing: 4px;
}

.product-details h2{
    font-size: 30px;
    margin-bottom: 1rem;
    color: hsl(212, 21%, 14%);
    font-weight: 700;
    font-family: 'Fraunces', serif;
    text-align: start;
}

.product-details p{
    font-size: 13px;
    color: hsl(228, 12%, 48%);
    line-height: 1.5;
    margin-bottom: 19px;
    font-weight: 500;
}

.price{
    display: flex;
    align-items: center;
    margin-bottom: 15px;
    gap: 20px;
    font-size: 30px;
    font-weight: 700;
    color: hsl(158, 36%, 37%);
    font-family: 'Fraunces', serif;
}

.original-price{
    font-size: 10px;
    color: hsl(228, 12%, 48%);
    text-decoration: line-through;
    font-weight: 500;
}

.cart-icon{
    width: 15px;
    height: 15px;
    margin-right: 10px;
    fill: white;
}

.add-to-cart {
    background-color: hsl(158, 36%, 37%);
    padding: 12px;
    color: white;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    border: none;
    border-radius: 10px;
    width: 210px;
    margin-top: 2px;
    font-size: 12px;
    font-weight: 700;
}

.add-to-cart img{
    height: 12px;
    width: 11px;
    display: inline-flex;
    margin-right: 11px;
}

.add-to-cart:hover{
    background-color: hsl(158, 36%, 25%);
}

.attribution{
    font-size: 19px;
    text-align: center;
    color: black;
    margin-top: 20px;
    font-weight: 700;
}

.attribution a{
    color: hsl(228, 12%, 48%);
    text-decoration: none;
    font-weight: 700;
}

.attribution a:hover{
    text-decoration: underline;
}

@media (max-width: 1440px){
    .main{
        flex-direction: column;
    }

    .container, .content{
        width: 100%;
    }

    .content{
        padding: 20px;
    }
}